/*
	Connessioni cifrate e uso di kerberos
	If not: setspn -A MSSQLSvc/myhost.dominio.it:tcp SQLServiceAccount
*/

SELECT * FROM sys.dm_exec_connections


/*
	Chi sono i sysadmin?
*/

SELECT l.name, l.denylogin, l.isntname, l.isntgroup, l.isntuser, l.sysadmin, l.securityadmin, l.dbcreator
FROM master.sys.syslogins l
--WHERE l.sysadmin = 1
ORDER BY l.name;


/*
	Usiamo feature "enterprise only"? (TDE, compressione, partizionamento, etc)
*/

EXEC dbo.sp_MSforeachdb 'SELECT ''[?]'' AS DatabaseName, * FROM [?].sys.dm_db_persisted_sku_features'


/*
	Dove sono posizionati i file di database?
*/

SELECT DB_NAME(database_id), * 
FROM sys.master_files
ORDER BY 1


/*
	Inizializzazione di un nuovo errorlog
*/

EXEC sp_cycle_errorlog


/*
	Eliminare mail history
*/

DECLARE @data date
SET @data = GETDATE() -120

EXECUTE msdb.dbo.sysmail_delete_mailitems_sp @sent_before = @data;
GO
