/*
	Configurare database mail 
	http://www.databasejournal.com/features/mssql/article.php/3626056
*/

use master
go
sp_configure 'show advanced options',1
go
reconfigure with override
go
sp_configure 'Database Mail XPs',1
go
sp_configure 'SQL Mail XPs',0
go
reconfigure 
go

EXECUTE msdb.dbo.sysmail_add_account_sp
    @account_name = 'SQLService',
    @description = 'Mail account for Database Mail',
    @email_address = 'sqlservice@sace.it',
    @display_name = 'SQL Server - SCRMIPSQL03',
-- @username='sqlservice@sace.it',
-- @password='abc123',
    @mailserver_name = 'serverinsmtp.isace.it'
GO

EXECUTE msdb.dbo.sysmail_add_profile_sp
       @profile_name = 'SQLService',
       @description = 'Profile used for database mail'
GO

EXECUTE msdb.dbo.sysmail_add_profileaccount_sp
    @profile_name = 'SQLService',
    @account_name = 'SQLService',
    @sequence_number = 1
GO

EXECUTE msdb.dbo.sysmail_add_principalprofile_sp
    @profile_name = 'SQLService',
    @principal_name = 'public',
    @is_default = 1 ;
GO


/*
	Test
*/

declare @body1 varchar(100)
set @body1 = 'Server : ' + @@servername+ ' Test Database Email '
EXEC msdb.dbo.sp_send_dbmail @recipients='l.bianchi@sace.it',
    @subject = 'My Mail Test',
    @body = @body1,
    @body_format = 'HTML' ;
GO

